### Signal

# Malcontent Manager::web-filter-changed

since: 0.14.0

#### Declaration

    void
    web_filter_changed (
      MctManager* self,
      guint64 user_id,
      gpointer user_data
    )

#### Description [src]

Emitted when the web filter stored for a user changes.

The new web filter for the user should be requested again from the `MctManager` instance.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 0.14.0

#### Parameters

`user_id`

  Type: `guint64`

  UID of the user whose web filter has changed.